<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_86e12158655092a9838a837f6" . "cf6d639" => base64_decode("Li4vY29tb" . "W9uL2VybX" . "NfcGtnLnB" . "ocA=="), "_eb5682848" . "3919e173c6" . "ab772a8fa7" . "d6d" => base64_decode("Y29tbW9uLnR5cGUuZG9jd" . "W1lbnQ="), "_9410d17985408ab6a2962e" . "6fdb621c5e" => base64_decode("ZG9jdW1lbnRzLm5hbWVwYXR0ZXJu" . "dGFnLnZlcg=="), "_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG1zZ" . "w=="), "_5fde92609a43c9160462" . "278aec060406" => base64_decode("Y29tbW9uLnVua2" . "5vd24="), "_7ee25317ffedb4fe27bf0" . "b5036469b94" => base64_decode("Y29tbW9uLnR5cGUuZm9sZG" . "Vy"));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_86e12158655092" . "a9838a837f6cf6d" . "639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_86e12158655092a9" . "838a837f6cf6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa744f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_7ee25317ffed" . "b4fe27bf0b503" . "6469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bb" . "c0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_eb56828483919e173c6ab772a8f" . "a7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_9410d17985408ab6a2962e6fdb62" . "1c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_5fde9260" . "9a43c9160" . "462278aec" . "060406"]);
    }
}